## glimpse 4.0

=== Makefile ===
# Copyright (c) 1994 Sun Wu, Udi Manber, Burra Gopal.  All Rights Reserved.

# To compile for structured queries, make "all: Sall" and "STRUCTURED_QUERIES=1".
#STRUCTURED_QUERIES = 0
STRUCTURED_QUERIES = 1

#all:		NOTSall
all:		Sall

# Define HAVE_DIRENT_H to be 1 when you don't have <sys/dir.h> else define it to be 0 (in this case, one of the other 3 flags may need to be defined to be 1).
HAVE_DIRENT_H	= 1
HAVE_SYS_DIR_H	= 0
HAVE_SYS_NDIR_H	= 0
HAVE_NDIR_H	= 0

# Define UTIME to be 1 if you have the utime() routine on your system. Else define it to be 0.
UTIME = 1

# Define ISO_CHAR_SET to be 1 if you want to use the international 8bit character set. Else define it to be 0.
ISO_CHAR_SET = 0

# You might have to change this depending on your machine configuration.
CC     = gcc -traditional	#cc

SHELL = /bin/sh

# For compatibility with SFS, define this flag (internal only)
SFS_COMPAT      = 0

# YOU DON'T HAVE TO CHANGE ANYTHING BELOW THIS LINE

# The binaries will be made in ./bin/. and the libraries are assumed to
# be in ./lib . You normally don't have to change them.
# NOTE: GLIMPSEDIR can be relative or absolute.
GLIMPSEDIR	= ..
BINDIR		= bin
AGREPDIR	= agrep
INDEXDIR	= index
COMPRESSDIR	= compress
TEMPLATEDIR	= libtemplate
LIBDIR		= lib
LIBTEMPLATEDIR	= $(TEMPLATEDIR)/lib
LIBAGREP	= agrep
LIBCOMPRESS	= cast
LIBTEMPLATE	= template
LIBUTIL		= util
OTHERLIBS	=

PROG		= glimpse
PROGSERVER	= glimpseserver
NOTSPROG	= nots$(PROG)
NOTSPROGSERVER	= nots$(PROGSERVER)
PROGINDEX	= index/glimpseindex
PROGAGREP	= agrep/agrep

# Include flags is not a part of CLFAGS and LINKFLAGS since path names from subdirs can be different
OPTIMIZEFLAGS	= -O
#PROFILEFLAGS	= -p
#DEBUGFLAGS	= -g -DBG_DEBUG=1 -DDEBUG=1
INCLUDEFLAGS	= -I$(INDEXDIR) -I$(AGREPDIR) -I$(TEMPLATEDIR)/include 
DEFINEFLAGS	= -DSTRUCTURED_QUERIES=$(STRUCTURED_QUERIES) -DHAVE_DIRENT_H=$(HAVE_DIRENT_H) -DHAVE_SYS_DIR_H=$(HAVE_SYS_DIR_H) \
		  -DHAVE_SYS_NDIR_H=$(HAVE_SYS_NDIR_H) -DHAVE_NDIR_H=$(HAVE_NDIR_H) -DUTIME=$(UTIME) -DISO_CHAR_SET=$(ISO_CHAR_SET) -DSFS_COMPAT=$(SFS_COMPAT)
SUBDIRCFLAGS	= -c $(DEFINEFLAGS) $(OPTIMIZEFLAGS) $(PROFILEFLAGS) $(DEBUGFLAGS)
CFLAGS		= $(INCLUDEFLAGS) $(SUBDIRCFLAGS)
SUBDIRLINKFLAGS	= $(PROFILEFLAGS)
LINKFLAGS	= $(INCLUDES) $(SUBDIRLINKFLAGS)

OBJS		= get_filename.o \
		get_index.o \
		split.o \
		$(INDEXDIR)/region.o \
		$(INDEXDIR)/getword.o \
		$(INDEXDIR)/filetype.o \
		$(INDEXDIR)/simpletest.o \
		$(INDEXDIR)/memlook.o \
		$(INDEXDIR)/lib.o\
		$(INDEXDIR)/io.o

HDRS		= $(INDEXDIR)/glimpse.h $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(AGREPDIR)/re.h $(INDEXDIR)/region.h

SRC		= main.c \
		get_filename.c \
		get_index.c \
		split.c \
		$(INDEXDIR)/region.c \
		$(INDEXDIR)/getword.c \
		$(INDEXDIR)/filetype.c \
		$(INDEXDIR)/simpletest.c \
		$(INDEXDIR)/memlook.c \
		$(INDEXDIR)/io.c

Sall:		$(PROGINDEX) $(PROGAGREP) $(PROG) $(PROGSERVER)

NOTSall:	$(PROGINDEX) $(PROGAGREP) $(NOTSPROG) $(NOTSPROGSERVER)

$(PROGINDEX):	$(PROGAGREP) $(LIBDIR)/lib$(LIBAGREP).a $(LIBTEMPLATEDIR)/lib$(LIBTEMPLATE).a $(LIBTEMPLATEDIR)/lib$(LIBUTIL).a $(LIBDIR)/lib$(LIBCOMPRESS).a
	cd $(INDEXDIR) ; $(MAKE) CC="$(CC)" SUBDIRCFLAGS="$(SUBDIRCFLAGS)" SUBDIRLINKFLAGS="$(SUBDIRLINKFLAGS)" SHELL="$(SHELL)" HAVE_DIRENT_H="$(HAVE_DIRENT_H)" HAVE_SYS_DIR_H="$(HAVE_SYS_DIR_H)" HAVE_SYS_NDIR_H="$(HAVE_SYS_NDIR_H)" HAVE_NDIR_H="$(HAVE_NDIR_H)" UTIME="$(UTIME)" STRUCTURED_QUERIES="$(STRUCTURED_QUERIES)" ISO_CHAR_SET="$(ISO_CHAR_SET)" SFS_COMPAT="$(SFS_COMPAT)"

$(PROGAGREP):	$(LIBDIR)/lib$(LIBCOMPRESS).a
	cd $(AGREPDIR) ; $(MAKE) CC="$(CC)" SUBDIRCFLAGS="$(SUBDIRCFLAGS)" SUBDIRLINKFLAGS="$(SUBDIRLINKFLAGS)" SHELL="$(SHELL)" HAVE_DIRENT_H="$(HAVE_DIRENT_H)" HAVE_SYS_DIR_H="$(HAVE_SYS_DIR_H)" HAVE_SYS_NDIR_H="$(HAVE_SYS_NDIR_H)" HAVE_NDIR_H="$(HAVE_NDIR_H)" UTIME="$(UTIME)" STRUCTURED_QUERIES="$(STRUCTURED_QUERIES)" ISO_CHAR_SET="$(ISO_CHAR_SET)" SFS_COMPAT="$(SFS_COMPAT)"

$(LIBDIR)/lib$(LIBCOMPRESS).a: $(HDRS)
	cd $(COMPRESSDIR); $(MAKE) CC="$(CC)" SUBDIRCFLAGS="$(SUBDIRCFLAGS)" SUBDIRLINKFLAGS="$(SUBDIRLINKFLAGS)" SHELL="$(SHELL)" HAVE_DIRENT_H="$(HAVE_DIRENT_H)" HAVE_SYS_DIR_H="$(HAVE_SYS_DIR_H)" HAVE_SYS_NDIR_H="$(HAVE_SYS_NDIR_H)" HAVE_NDIR_H="$(HAVE_NDIR_H)" UTIME="$(UTIME)" STRUCTURED_QUERIES="$(STRUCTURED_QUERIES)" ISO_CHAR_SET="$(ISO_CHAR_SET)" SFS_COMPAT="$(SFS_COMPAT)"

$(PROG):	main.o $(OBJS) $(SRC) $(HDRS) $(LIBDIR)/lib$(LIBAGREP).a $(LIBTEMPLATEDIR)/lib$(LIBTEMPLATE).a $(LIBTEMPLATEDIR)/lib$(LIBUTIL).a $(LIBDIR)/lib$(LIBCOMPRESS).a
	 $(CC) $(LINKFLAGS) -L$(LIBDIR) -L$(LIBTEMPLATEDIR) -o $(PROG) main.o $(OBJS) -l$(LIBAGREP) -l$(LIBTEMPLATE) -l$(LIBUTIL) $(OTHERLIBS)
	cp $(PROG) $(BINDIR)

$(NOTSPROG):	main.o $(OBJS) $(SRC) $(HDRS) $(LIBDIR)/lib$(LIBAGREP).a $(LIBDIR)/lib$(LIBCOMPRESS).a
	$(CC) $(LINKFLAGS) -L$(LIBDIR) -o $(PROG) main.o $(OBJS) -l$(LIBAGREP) $(OTHERLIBS)
	cp $(PROG) $(BINDIR)

$(PROGSERVER):	main_server.o $(OBJS) $(SRC) $(HDRS) $(LIBDIR)/lib$(LIBAGREP).a $(LIBTEMPLATEDIR)/lib$(LIBTEMPLATE).a $(LIBTEMPLATEDIR)/lib$(LIBUTIL).a $(LIBDIR)/lib$(LIBCOMPRESS).a
	 $(CC) $(LINKFLAGS) -L$(LIBDIR) -L$(LIBTEMPLATEDIR) -o $(PROGSERVER) main_server.o $(OBJS) -l$(LIBAGREP) -l$(LIBTEMPLATE) -l$(LIBUTIL) $(OTHERLIBS)
	cp $(PROGSERVER) $(BINDIR)

$(NOTSPROGSERVER):	main_server.o $(OBJS) $(SRC) $(HDRS) $(LIBDIR)/lib$(LIBAGREP).a $(LIBDIR)/lib$(LIBCOMPRESS).a
	$(CC) $(LINKFLAGS) -L$(LIBDIR) -o $(PROGSERVER) main_server.o $(OBJS) -l$(LIBAGREP) $(OTHERLIBS)
	cp $(PROGSERVER) $(BINDIR)

$(LIBTEMPLATEDIR)/lib$(LIBTEMPLATE).a:
	cd $(TEMPLATEDIR) ; $(MAKE) CC="$(CC)" SUBDIRCFLAGS="$(SUBDIRCFLAGS)" SUBDIRLINKFLAGS="$(SUBDIRLINKFLAGS)" SHELL="$(SHELL)" HAVE_DIRENT_H="$(HAVE_DIRENT_H)" HAVE_SYS_DIR_H="$(HAVE_SYS_DIR_H)" HAVE_SYS_NDIR_H="$(HAVE_SYS_NDIR_H)" HAVE_NDIR_H="$(HAVE_NDIR_H)" UTIME="$(UTIME)" STRUCTURED_QUERIES="$(STRUCTURED_QUERIES)" ISO_CHAR_SET="$(ISO_CHAR_SET)" SFS_COMPAT="$(SFS_COMPAT)"

$(LIBTEMPLATEDIR)/lib$(LIBUTIL).a:
	cd $(TEMPLATEDIR) ; $(MAKE) CC="$(CC)" SUBDIRCFLAGS="$(SUBDIRCFLAGS)" SUBDIRLINKFLAGS="$(SUBDIRLINKFLAGS)" SHELL="$(SHELL)" HAVE_DIRENT_H="$(HAVE_DIRENT_H)" HAVE_SYS_DIR_H="$(HAVE_SYS_DIR_H)" HAVE_SYS_NDIR_H="$(HAVE_SYS_NDIR_H)" HAVE_NDIR_H="$(HAVE_NDIR_H)" UTIME="$(UTIME)" STRUCTURED_QUERIES="$(STRUCTURED_QUERIES)" ISO_CHAR_SET="$(ISO_CHAR_SET)" SFS_COMPAT="$(SFS_COMPAT)"

$(LIBDIR)/lib$(LIBAGREP).a:
	cd $(AGREPDIR); $(MAKE) CC="$(CC)" SUBDIRCFLAGS="$(SUBDIRCFLAGS)" SUBDIRLINKFLAGS="$(SUBDIRLINKFLAGS)" SHELL="$(SHELL)" HAVE_DIRENT_H="$(HAVE_DIRENT_H)" HAVE_SYS_DIR_H="$(HAVE_SYS_DIR_H)" HAVE_SYS_NDIR_H="$(HAVE_SYS_NDIR_H)" HAVE_NDIR_H="$(HAVE_NDIR_H)" UTIME="$(UTIME)" STRUCTURED_QUERIES="$(STRUCTURED_QUERIES)" ISO_CHAR_SET="$(ISO_CHAR_SET)" SFS_COMPAT="$(SFS_COMPAT)"

clean:
	-rm -f main_server.o main_server.c main.o $(OBJS) core a.out $(LIBDIR)/lib$(LIBAGREP).a $(PROG) $(PROGSERVER)
	cd $(AGREPDIR); $(MAKE) clean
	cd $(INDEXDIR) ; $(MAKE) clean
	cd $(COMPRESSDIR); $(MAKE) clean

main_server.o: main.c defs.h $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	cp main.c main_server.c
	$(CC) $(CFLAGS) -DISSERVER=1 -o $@ main_server.c

main.o:	main.c defs.h $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -DISSERVER=0 -o $@ main.c

get_filename.o:	get_filename.c $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -o $@ get_filename.c

get_index.o: get_index.c $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -o $@ get_index.c

split.o: split.c $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -o $@ split.c

$(INDEXDIR)/lib.o:	$(INDEXDIR)/lib.c $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -o $@ $(INDEXDIR)/lib.c

$(INDEXDIR)/io.o:	$(INDEXDIR)/io.c $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -o $@ $(INDEXDIR)/io.c

$(INDEXDIR)/region.o: $(INDEXDIR)/region.c $(INDEXDIR)/glimpse.h $(INDEXDIR)/region.h
	$(CC) $(CFLAGS) -o $@ $(INDEXDIR)/region.c

$(INDEXDIR)/getword.o: $(INDEXDIR)/getword.c $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -o $@ $(INDEXDIR)/getword.c

$(INDEXDIR)/filetype.o: $(INDEXDIR)/filetype.c $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -o $@ $(INDEXDIR)/filetype.c

$(INDEXDIR)/simpletest.o: $(INDEXDIR)/simpletest.c $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -o $@ $(INDEXDIR)/simpletest.c

$(INDEXDIR)/memlook.o: $(INDEXDIR)/memlook.c $(INDEXDIR)/glimpse.h
	$(CC) $(CFLAGS) -o $@ $(INDEXDIR)/memlook.c

## glimpse 4.18.5

=== Makefile ===
# Copyright (c) 1994 Sun Wu, Udi Manber, Burra Gopal.  All Rights Reserved.

srcdir = .

SHELL  = /bin/sh
CC     = gcc
LIBS   = -lm  -ldl
CP     = /bin/cp
STRIP  = 
INSTALL		= /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
INSTALL_MAN	= ${INSTALL} -m 444
DEFS		=
DYNFILTER	= dynfilters

prefix = /usr/local
exec_prefix = ${prefix}
binprefix =
manprefix =

bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
mandir = $(prefix)/man/man1
manext = 1
MANUAL = glimpse.1 glimpseindex.1 glimpseserver.1

# YOU DON'T HAVE TO CHANGE ANYTHING BELOW THIS LINE
 
# The binaries will be made in ./bin/. and the libraries are assumed to
# be in ./lib . You normally don't have to change them.
# NOTE: GLIMPSEDIR can be relative or absolute.
GLIMPSEDIR	= ..
BINDIR		= bin
AGREPDIR        = agrep
INDEXDIR        = index
COMPRESSDIR	= compress
TEMPLATEDIR     = libtemplate
LIBDIR          = lib
LIBTEMPLATEDIR  = $(TEMPLATEDIR)/lib
SUBDIRS		= compress agrep libtemplate index $(DYNFILTER)
LIBAGREP        = agrep
LIBCOMPRESS     = cast
LIBTEMPLATE     = template
LIBUTIL         = util

PROG		= glimpse
PROGSERVER	= glimpseserver
NOTSPROG	= nots$(PROG)
NOTSPROGSERVER	= nots$(PROGSERVER)

OPTIMIZEFLAGS   = -O2
INCLUDEFLAGS    = -I$(INDEXDIR) -I$(AGREPDIR) -I$(TEMPLATEDIR)/include
CFLAGS          = $(INCLUDEFLAGS) $(DEFS)

OBJS		= get_filename.o \
		get_index.o \
		split.o \
		$(INDEXDIR)/region.o \
		$(INDEXDIR)/getword.o \
		$(INDEXDIR)/filetype.o \
		$(INDEXDIR)/simpletest.o \
		$(INDEXDIR)/memlook.o \
		$(INDEXDIR)/lib.o\
		$(INDEXDIR)/io.o

HDRS		= $(INDEXDIR)/glimpse.h $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(AGREPDIR)/re.h $(INDEXDIR)/region.h

SRC		= main.c \
		get_filename.c \
		get_index.c \
		split.c \
		$(INDEXDIR)/region.c \
		$(INDEXDIR)/getword.c \
		$(INDEXDIR)/filetype.c \
		$(INDEXDIR)/simpletest.c \
		$(INDEXDIR)/memlook.c \
		$(INDEXDIR)/io.c

all:	build-sub NOTSall
Sall:		$(PROG) $(PROGSERVER)
NOTSall:	$(NOTSPROG) $(NOTSPROGSERVER)

build-sub:
	for d in $(SUBDIRS) ; do \
		( cd $$d; $(MAKE) ); \
	done

# Check target

check:	all
	$(SHELL) test/check.sh

# INSTALL on Solaris should be carried one at a time. :-(

install: all installdirs install-man
	for d in $(SUBDIRS) ; do \
		( cd $$d; $(MAKE) $@ ); \
	done
	for d in $(BINDIR)/$(PROG) $(BINDIR)/$(PROGSERVER) ; do \
		$(INSTALL) $$d $(bindir) ; \
	done

install-man:
	for d in $(MANUAL) ; do \
		$(INSTALL_MAN) $$d $(mandir) ; \
	done

installdirs:	mkinstalldirs
	$(srcdir)/mkinstalldirs $(bindir) $(mandir)

clean:
	for d in $(SUBDIRS); do \
		( cd $$d; $(MAKE) $@ ); \
	done
	rm -f main_server.o main_server.c main.o $(OBJS) core a.out $(PROG) $(PROGSERVER) config.log
	rm -f $(LIBDIR)/lib$(LIBCOMPRESS).a $(LIBDIR)/lib$(LIBAGREP).a
	rm -f $(BINDIR)/*

distclean: clean
	for d in $(SUBDIRS); do \
		( cd $$d; $(MAKE) $@ ); \
	done
	rm -f Makefile config.cache config.status

$(PROG):	main.o $(OBJS) $(SRC) $(HDRS) $(LIBDIR)/lib$(LIBAGREP).a $(LIBTEMPLATEDIR)/lib$(LIBTEMPLATE).a $(LIBTEMPLATEDIR)/lib$(LIBUTIL).a $(LIBDIR)/lib$(LIBCOMPRESS).a
	$(CC) $(LDFLAGS) -L$(LIBDIR) -L$(LIBTEMPLATEDIR) -o $(BINDIR)/$(PROG) main.o $(OBJS) -l$(LIBAGREP) -l$(LIBTEMPLATE) -l$(LIBUTIL) $(LIBS)

$(NOTSPROG):	main.o $(OBJS) $(SRC) $(HDRS) $(LIBDIR)/lib$(LIBAGREP).a $(LIBDIR)/lib$(LIBCOMPRESS).a
	$(CC) $(LDFLAGS) -L$(LIBDIR) -o $(BINDIR)/$(PROG) main.o $(OBJS) -l$(LIBAGREP) $(LIBS)
 
$(PROGSERVER):	main_server.o $(OBJS) $(SRC) $(HDRS) $(LIBDIR)/lib$(LIBAGREP).a $(LIBTEMPLATEDIR)/lib$(LIBTEMPLATE).a $(LIBTEMPLATEDIR)/lib$(LIBUTIL).a $(LIBDIR)/lib$(LIBCOMPRESS).a
	$(CC) $(LDFLAGS) -L$(LIBDIR) -L$(LIBTEMPLATEDIR) -o $(BINDIR)/$(PROGSERVER) main_server.o $(OBJS) -l$(LIBAGREP) -l$(LIBTEMPLATE) -l$(LIBUTIL) $(LIBS)
 
$(NOTSPROGSERVER):	main_server.o $(OBJS) $(SRC) $(HDRS) $(LIBDIR)/lib$(LIBAGREP).a $(LIBDIR)/lib$(LIBCOMPRESS).a
	$(CC) $(LDFLAGS) -L$(LIBDIR) -o $(BINDIR)/$(PROGSERVER) main_server.o $(OBJS) -l$(LIBAGREP) $(LIBS)

main_server.o: main.c defs.h $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	cp main.c main_server.c
	$(CC) -c $(CFLAGS) -DISSERVER=1 -o $@ main_server.c

main.o:	main.c defs.h $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	$(CC) -c $(CFLAGS) -DISSERVER=0 -o $@ main.c

get_filename.o:	get_filename.c $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	$(CC) -c $(CFLAGS) -o $@ get_filename.c

get_index.o: get_index.c $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	$(CC) -c $(CFLAGS) -o $@ get_index.c

split.o: split.c $(AGREPDIR)/agrep.h $(AGREPDIR)/checkfile.h $(INDEXDIR)/glimpse.h
	$(CC) -c $(CFLAGS) -o $@ split.c

## glimpse 4.18.7

=== debian/changelog ===
glimpse (4.18.7-6) unstable; urgency=medium

  * glimpse now provides agrep.
  * patches from the standalone agrep package were merged in
  * updates standards version and debhelper setup
  * thanks go to Roland Rosenfeld <roland@debian.org> who
    did the package consolidation work.

 -- Alexander Zangerl <az@debian.org>  Sat, 19 Sep 2020 20:45:54 +1000

glimpse (4.18.7-5) unstable; urgency=medium

  * minor adjustments to control and changelog

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Dec 2019 11:21:00 +1000

glimpse (4.18.7-4) unstable; urgency=medium

  * applied patch by helmut grohne to handle cross compilation better
    Let dh_auto_configure pass cross tools to make,
  	and Propagate CC from configure to make. (closes: #929043)
  * lifted debhelper compat level

 -- Alexander Zangerl <az@debian.org>  Thu, 23 May 2019 09:27:31 +0200

glimpse (4.18.7-3) unstable; urgency=high

  * updated control to build-depend on libfl-dev, (closes: #848012)

 -- Alexander Zangerl <az@debian.org>  Wed, 14 Dec 2016 17:20:54 +1000

glimpse (4.18.7-2) unstable; urgency=medium

  * fixed copyright file to mention gpl v2+ for libtemplate/include/gdbm.h,
    (which isn't actually used) and new upload (closes: #803015)

 -- Alexander Zangerl <az@debian.org>  Fri, 28 Oct 2016 18:18:06 +1000

glimpse (4.18.7-1) unstable; urgency=low

  * New upstream release, now under a DFSG-compatible license
    ftp-master (rightly) rejected the previous upload because of
		leftover license text in some files, but upstream has in the
		meantime suitably updated the official source on github.
  * New maintainer
  * lifted standards version, reworked build scripts accordingly

 -- Alexander Zangerl <az@debian.org>  Wed, 26 Oct 2016 19:39:34 +1000

glimpse (4.18.5-1) unstable; urgency=low

  * New upstream release
  * New maintainer. Closes: #361710
  * Update policy to version 3.7.2.1 No changes were necessary.
  * Update config.guess, config.sub from autotools-dev version 20060702.1

 -- W.A. van der Meeren <danny@illogic.nl>  Mon,  2 Oct 2006 18:40:15 +0200

glimpse (4.18.0-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Link against -lfl_pic instead of -lfl; fixes FTBFS on several
    architectures (among them amd64) with gcc 4.1. (Closes: #384961)
  * Build-depend on flex (>= 2.5.33-6) to get -lfl_pic.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  8 Sep 2006 01:55:29 +0200

glimpse (4.18.0-6) unstable; urgency=low

  * Fix typos in the manual pages. Closes: #335339, #335341.
  * Update policy to version 3.6.2.1. No changes were necessary.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 24 Oct 2005 10:04:53 -0600

glimpse (4.18.0-5) unstable; urgency=low

  * Change the upstrem author to Golda Velez <gvelez@webglimpse.org>.
  * Following a conversation with Golda Velez, update the license to give
    Debian permission to distribute modified binaries. Closes: #308667.

 -- Shaun Jackman <sjackman@debian.org>  Mon,  4 Jul 2005 10:57:32 -0700

glimpse (4.18.0-4) unstable; urgency=low

  * Fix build on amd64 using gcc-4.0 (closes: #296998).

 -- Shaun Jackman <sjackman@debian.org>  Mon,  9 May 2005 17:54:27 -0700

glimpse (4.18.0-3) unstable; urgency=low

  * Use stdarg.h instead of varargs.h (closes: #278156).

 -- Shaun Jackman <sjackman@debian.org>  Mon, 15 Nov 2004 16:51:56 -0800

glimpse (4.18.0-2) unstable; urgency=low

  * Add flex to Build-Depends (closes: #278787).

 -- Shaun Jackman <sjackman@debian.org>  Fri, 29 Oct 2004 11:09:34 -0700

glimpse (4.18.0-1) unstable; urgency=low

  * Initial release.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 18 Oct 2004 14:36:48 -0700

=== debian/control ===
Source: glimpse
Section: text
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: flex, libfl-dev, debhelper (>= 12)
Standards-Version: 4.3.0
Vcs-Git: https://github.com/az143/glimpse.git -b master
Vcs-Browser: https://github.com/az143/glimpse


Package: glimpse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: agrep
Replaces: agrep
Conflicts: agrep
Description: search quickly through entire file systems
 Glimpse, which stands for GLobal IMPlicit SEarch, is a very popular
 UNIX indexing and query system that allows you to search through a
 large set of files very quickly. Glimpse supports most of agrep's
 options (agrep is our powerful version of grep) including approximate
 matching (e.g., finding misspelled words), Boolean queries, and even
 some limited forms of regular expressions.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

TARGETDIR=`pwd`/debian/glimpse

override_dh_auto_configure:
	autoconf
	dh_auto_configure

override_dh_auto_build:
# 	These are the only variables that are free for user
	$(MAKE) DEBUGFLAGS="$(CFLAGS) $(CPPFLAGS)" OTHERLIBS="$(LDFLAGS)"

override_dh_auto_install:
	$(MAKE) install prefix=$(TARGETDIR)/usr
# 	move the internal, optional and undocumented programs into /usr/lib/glimpse
	install -g root -o root -m 0755 -d $(TARGETDIR)/usr/lib/glimpse
	mv $(TARGETDIR)/usr/bin/buildcast $(TARGETDIR)/usr/bin/cast $(TARGETDIR)/usr/bin/uncast \
	   $(TARGETDIR)/usr/bin/tbuild $(TARGETDIR)/usr/bin/wgconvert $(TARGETDIR)/usr/lib/glimpse

#	install (and rename) agrep README:
	install -g root -o root -m 0755 -d $(TARGETDIR)/usr/share/doc/glimpse
	install -g root -o root -m 0644 agrep/README \
		$(TARGETDIR)/usr/share/doc/glimpse/README.agrep

%:
	dh $@ --without autoreconf
